%global pypi_name sphinx-lv2-theme
%global srcname   sphinx_lv2_theme

Name:           python-%{pypi_name}
Version:        1.4.2
Release:        %mkrel 3
Summary:        A minimal static theme for Sphinx
Group:          Development/Python
License:        ISC
URL:            https://gitlab.com/lv2/sphinx_lv2_theme
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Sphinx LV2 Theme is a minimal pure-CSS theme for Sphinx that uses the
documentation style of the LV2 plugin specification and related projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(sphinx)

%description -n python3-%{pypi_name}
Sphinx LV2 Theme is a minimal pure-CSS theme for Sphinx that uses the
documentation style of the LV2 plugin specification and related projects.

%prep
%autosetup -n sphinx_lv2_theme-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_lv2_theme

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.4.2-3.mga10
+ Revision: 2241539
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.4.2-2.mga10
+ Revision: 2158754
- rebuild for python3.13

* Sat Jan 20 2024 philippedidier <philippedidier> 1.4.2-1.mga10
+ Revision: 2032919
- new version 1.4.2 built upon python 3.12
+ wally <wally>
- clean .spec and switch to pyproject-rpm-macros build

* Sun Dec 11 2022 philippedidier <philippedidier> 1.2.2-1.mga9
+ Revision: 1920657
- imported package python-sphinx-lv2-theme

